/*
[description]
gold wave version 5 scripts.
version 1.55
by Jim Grimsby,  Gary Campbell, and Jim Bowers.
*/
Const
;[configuration detection.]
configuration_v4 = "GoldWave4",
	; [Window classes, do not localize!]
	Wc_TNumEdit = "TNumEdit",
	Wc_TCheck = "TCheck",
	Wc_TEdit = "TEdit",
	Wc_TControlBar = "TControlBar",
	Wc_TMainForm = "TMainForm",
	WC_AboutDialog="TAboutBox" ,
	WC_CuepointsDialog="TCueForm",
	WC_CdReaderDialog = "TCDReaderForm",
	WC_SoundWindow="TWaveView",
	WC_ControlWindow="TControlView",
	WC_progressDialog="TProgressForm",
	WC_EffectDialog="TEffectWrapper",
	WC_ExpressionEvaluatorDialog="TEvaluatorForm",
	WC_main="MDIClient",
	;[search strings, must be localized.]
	s_help="Help",
	S_GOLDWAVE = "Goldwave",
	S_MONO = 	"Mono",
	S_STEREO = "Stereo",
	S_LEFT = "Left",
	S_RIGHT = "Right",
	S_SILENCE = "Silence",
	S_CONTROL = "Control",
	S_CONTROL_PROPERTIES = "Control Properties",
	S_GREEN_PLAY = " Green play",
	S_YELLOW_PLAY = " Yellow play ",
	S_SELECT = "Select",
	; Shown in the control window when paused, used to identify paused state.
	S_ACTION_PAUSE = "Pause",
s_openSound="Open Sound",
;buttons in the cue points editor.
s_autoCue="Auto Cue",
s_name="name",
s_splitFile="Split File",
;[Key Strokes
gw_ks_OverWrite="control+k",
gw_ks_PlayThreeSecondsFromStartMarker="control+[",
gw_ks_PlayThreeSecondsFromSinishMarker="control+]",
gw_ks_Play3SecondsToStartMarker="shift+[",
gw_ks_playthreesecondstofinishmarker="Shift+]",
gw_ks_speedSlower="shift+j",
gw_ks_speedNormal="shift+k",
gw_ks_speedFaster="shift+l",
Gw_ks_CrossFade="control+d",
gw_ks_playFromHere="h",
Gw_ks_AutoTrim="control+u",
Gw_ks_SelectView="control+w",
Gw_Ks_NewFile="Control+n",
Gw_Ks_openFile="control+o",
Gw_Ks_SaveFile="control+S",
Gw_ks_SelectLeftChannel="Control+Shift+l",
Gw_ks_SelectRightChannel="Control+shift+r",
  Gw_Ks_SelectBothChannels="control+Shift+b",
 gw_ks_SetStartMarker="[",
Gw_Ks_SetFinishMarker="]",
Gw_Ks_JumpToNextCue="Control+j",
Gw_Ks_JumpToPrierCue="Control+Shift+j",
GW_ks_moveFinishMarkerToNextCue="alt+j",
Gw_ks_MoveFinishMarkerToPriorCue="alt+shift+j",
Gw_Ks_PlayGreenButton="f4",
Gw_Ks_PlayYelloButton="Shift+f4",
Gw_Ks_RewindButton="f5",
Gw_ks_FastForwardButton="f6",
Gw_ks_PauseButton="f7",
Gw_ks_StopButton="f8",
Gw_ks_PauseRecordButton="control+f7",
Gw_Ks_StopRechordButton="control+f8",
Gw_ks_RechordButton="control+f9",
Gw_ks_MoveStartMarkerLeft"shift+leftarrow",
gw_ks_MoveStartMarkerRight="Shift+Rightarrow",
Gw_ks_MoveFinishMarkerLeft="Control+Shift+Leftarrow",
Gw_ks_MoveFinishMarkerRight="Control+shift+Rightarrow",
Gw_ks_MemorizeMarkers="Shift+m",
Gw_ks_RecallMarkers="Shift+R",
Gw_ks_SetMarkers="shift+e",
Gw_Ks_CopySoundToClipboard="Control+c",
Gw_ks_CutToClipboard="Control+x",
Gw_ks_PasteSoundToBeginningOfFile="Control+b",
Gw_ks_PasteSoundTOEndOfFile="control+e",
Gw_Ks_PasteSoundAtFinishMarkerLocation="Control+f",
Gw_Ks_PasteFromClipboard="Control+v",
Gw_ks_PasteNew="Control+p",
Gw_ks_deleteSound="delete",
Gw_ks_DeleteUnSelectedSound="Control+t",
Gw_Ks_SelectAll="control+a",
Gw_Ks_DropCue="control+q",
Gw_Ks_DropAndEditCue="control+shift+q",
Gw_ks_Redo="Control+y",
Gw_ks_Mix="Control+m",
Gw_ks_replace="Control+r",
Gw_ks_DeviceControlWindo="alt+f6",
Gw_ks_switchSoundWindow="Control+f6",
Gw_ks_ControlProperties="f11",
Gw_ks_ExitGoldWave="alt+f4",
Gw_ks_helpContents="f1",
Gw_Ks_OdPreview="alt+p",
Gw_ks_odStopPreview="alt+s",
;[Command Lines]
Gw_Cl_homePage="http://www.goldwave.com"
Messages
;[gold wave configuration messages.]
@MsgSwitchingConfigurations
Loading version 4 configuration files.
@@
;[focus messages.]
@msg_loop_number
Number of times to loop the
@@
;[open file messages.]
@NoFile
There is No open file!
@@
@noFile_short
No file
@@
; Used to announce the opened file
 ;%1 The file name
@OpenFile
The open file is %1
@@
@Open_Short
File %1
@@
;[status line messages]
@StatusLineNotFound
Sorry!
The status line was not Found!
@@
@NotFound
Not found!
@@
@FileFormat
The File format is
@@
@FileFormat_Short
Format
@@
@TotalTime
The total playing time is
@@
@TotalTime_short
Time
@@
@StartMarker
The start marker is set at
@@
@StartMarker_short
Start
@@
@FinishMarker
The finish marker is set at
@@
@FinishMarker_short
Finish
@@
@ElapsedTime
The elapsed time is
@@
@ElapsedTime_Short
Elapsed
@@
@SelectedDuration
The selected duration is
@@
@SelectedDuration_short
Duration
@@
@Hours
 hours
@@
@Minutes
 minutes
@@
@Seconds
 seconds
@@
@Acction
The active control is
@@
@Acction_Short
Active
@@
@Mono
This is a mono file
@@
@mono_short
Mono
@@
@Left
The left channel is selected for editing
@@
@Left_short
Left
@@
@Right
The right channel is selected for editing
@@
@Right_short
Right
@@
@Both
Both channels are selected for editing
@@
@Both_Short
Both
@@
@nothingInClipboard
There is no sound in the clipboard
@@
@NothingSelected
No sound selected
@@
@speed
The playback speed is
@@
@speed_short
Speed
@@
@balance
The playback balance is
@@
@balance_short
Balance
@@
@volume
The playback volume is
@@
@volume_short
Volume
@@
;[labels]
@Shift0
Set sound view to 10:1
@@
@Shift1
Set sound view to 1:1
@@
@Shift2
Set sound view to 1 Second
@@
@Shift3
Set sound view to 10 Seconds
@@
@Shift4
Set sound view to 1 Minute
@@
@Shift5
Set sound view to 1 hour
@@
@ShiftLeftBrackit
Play three seconds to start marker
@@
@CtrlShiftEnd
Finish marker Moved to end of sound
@@
@CtrlShiftHome
Finish marker Moved to start marker
@@
@ShiftEnd
Start marker Moved to finish marker
@@
@ShiftHome
Start marker moved to beginning of sound
@@
@CtrlEnd
Sound view moved to end of sound
@@
@CtrlHome
Sound view moved to start of sound
@@
	@End
Sound view moved to finish marker position
@@
@Home
Sound view moved to start marker position
@@
@ControlRightBrackit
Play three seconds from finish marker
@@
@controlLeftBrackit
Play three seconds from start marker
@@
@ShiftRightBrackit
Play three seconds to finish marker
@@
@shiftBackSlash
Previous
@@
@shiftJ
Slower
@@
@shiftK
Normal speed
@@
@shiftL
Faster
@@
@ControlW
View Selected
@@
@ControlJ
Jump to next cue
@@
@ControlJ_short
Next cue
@@
@ControlShiftJ
Jump to previous cue
@@
@ControlShiftJ_short
Previous cue
@@
@altJ
Move finish marker to next cue
@@
@AltShiftJ
Move finish marker to prior cue
@@
@controlU
Mute
@@
@controlK
Overwrite
@@
@ControlR
Replace
@@
@controlY
Redo
@@
@ControlQ
Drop cue
@@
@ControlQ_Short
Cue
@@
@f4
Play green button
@@
@f4_short
play
@@
@F4_preview
Start preview
@@
@F4_preview_Short
Preview
@@
@ShiftF4
Play yello button
@@
@f5
Rewind
@@
@f5_short
Back
@@
@f6
Fast forward
@@
@f6_Short
Forward
@@
@f7
Pause playback
@@
@f7_short
Pause
@@
@f7_resume
Resume playback
@@
@f7_resume_short
Resume
@@
@f8
Stop playback
@@
@f8_short
Stop
@@
@f8_preview
Stop preview
@@
@ControlF7
Pause recording
@@
@ControlF7_resume
Resume recording
@@
@ControlF8
Stop recording
@@
@ControlF9
Start recording
@@
@ControlF9_Short
Record
@@
@ShiftM
Markers memorized
@@
@ShiftM_short
Memorized
@@
@ShiftR
Markers recalled
@@
@ShiftR_short
Recalled
@@
@ControlC
Copied selected sound to clipboard
@@
@ControlC_Short
Copied
@@
@ControlX
Cut selected sound to clipboard
@@
@ControlX_short
cut
@@
@ControlB
Sound pasted to beginning of file
@@
@ControlE
Sound pasted to end of file
@@
@ControlF
Sound pasted at finish marker location
@@
@ControlV
Sound pasted at start marker location.
@@
@ControlV_short
Pasted
@@
@Delete
Deleted selected sound
@@
@Delete_short
Deleted
@@
@ControlT
Deleted unselected sound
@@
@Reverse
Reverse
@@
@Interpolate
Interpolate
@@
@Invert
Invert
@@
@ControlA
Selected
@@
@msgGreenPlayLoop
Green play loop
@@
@msgYellowPlayLoop
Yellow play loop
@@
;@msgPresets
;presets
;@@
;[help]
@msgScriptName
GoldWave version 5
@@
@ScriptInformation
GoldWave 5 scripts
Version 1.53
Concept: Jim Grimsby
Design: Gary Campbell and Jim Grimsby
Press escape to close this message.
@@
;[Context help]
@hotkeys
The following is a complete list of GoldWave 5 commands available from the sound view or control window:

Settings Commands
To toggle the speaking of labels press %keyFor(LablesOnOff).
To toggle the speaking of markers press %KeyFor(markersOnOff).
To toggle the speaking of progress messages on and off press %keyfor(ProgressONOff).
To toggle JAWS speech on and off press %KeyFor(MuteSynthesizer).

Reading Commands
To read the selected channel press %keyfor(SaySelectedChannel).
To say the name of the open sound file press %KeyFor(SayOpenFile).
To say the open file's format press %KeyFor(SayFileFormat).
To report which GoldWave control is active press %KeyFor(Sayaction).
To say the total playing time of a sound file press %KeyFor(SayTotalTime).
To say the elapsed time while playing press %KeyFor(SayElapsedTime).
To say the time location of the start marker press %KeyFor(sayStartMarkerLocation).
To say the time of the finish marker press %KeyFor(SayFinishMarkerLocation).
To say the duration of the selection press %KeyFor(SayDurationOfSelection).

File Commands
To create a new sound file press %keyfor(new).
To open a sound file press %KeyFor(Open).
To close the open sound file press %keyfor(CloseDocumentWindow).
To save the open sound file press %keyfor(save).
To save the current sound file with a different name press %keyFor(saveAs).
To save the selection to a file press %keyFor(SaveSelectionAs).
To set the open file's information or copyright text press %keyfor(FileInformationEditor).
To process or convert a group of files press %keyfor(BatchProcessing ).
To exit GoldWave press %keyfor(exitGoldwave).

There are nine files in the recent files list. Use the following commands to access them.
To open file 1 in the recently used files list press %KeyFor(OpenFile1).
To open file 2 in the recently used files list press %KeyFor(OpenFile2).
To open file 3 in the recently used files list press %KeyFor(OpenFile3).
To open file 4 in the recently used files list press %KeyFor(OpenFile4).
To open file 5 in the recently used files list press %KeyFor(OpenFile5).
To open file 6 in the recently used files list press %KeyFor(OpenFile6).
To open file 7 in the recently used files list press %KeyFor(OpenFile7).
To open file 8 in the recently used files list press %KeyFor(OpenFile8).
To open file 9 in the recently used files list press %KeyFor(OpenFile9).

Editing Commands
To reverse the last operation press %keyfor(undo).
To reverse the last undo press %KeyFor(ReDo).
To cut the selection and put it on the clipboard press %keyFor(CutToClipboard).
To delete the selection press %keyFor(JawsDelete).
To trim the unselected ends keeping only the selection press %keyFor(DeleteUnSelectedSound).
To copy the selection and put it on the clipboard press %KeyFor(CopySelectedTextToClipboard).
To insert the clipboard contents at the beginning of the file press %keyFor(PasteSoundToBeginningOfFile).
To insert the clipboard contents at the end of the file press %keyfor(PasteSoundTOEndOfFile).
To insert the clipboard contents at the start marker position press %KeyFor(PasteFromClipboard).
To insert the clipboard contents at the finish marker position press %KeyFor(PasteSoundAtFinishMarkerLocation).
To create a new file containing the clipboard audio press %KeyFor(PasteNew).
To mix the clipboard contents with the current file press %keyfor(mix).
To mix the clipboard at one end of the file using a crossfade press %keyFor(Crossfade).
To Overwrite sound with the clipboard contents beginning at the start marker press %KeyFor(OverWrite).
To replace the selection with the clipboard contents press %KeyFor(replace).
To insert some silence into the file at the start marker press %KeyFor(InsertSilence).
To trim leading and trailing silences from the selection press %keyFor(AutoTrim).
To replace the selection with silence press %KeyFor(Mute).
To select the left channel for editing press %KeyFor(SelectLeftChannel).
To select the right channel for editing press %KeyFor(SelectRightChannel).
To select both channels for editing press %Keyfor(SelectBothChannels).
To move the start marker to the current playback or recording position press %keyfor(SetStartMarker).
To move the finish marker to the current playback or recording position press %KeyFor(SetFinishMarker).
To move the start marker to the left press %KeyFor (MoveStartMarkerLeft).
To move the start marker to the right press %Keyfor(MoveStartMarkerRight).
To move the finish marker to the left press %KeyFor(MoveFinishMarkerLeft).
To move the finish marker to the right press %KeyFor(MoveFinishMarkerRight).
To save the position of the start and finish markers press %Keyfor(MemorizeMarkers).
To move the start and finish markers back to the stored position press %KeyFor(RecallMarkers).
To move the start and finish markers to their previous positions press %keyFor(Previous).
To set the selection markers press %KeyFor(SetMarkers).
To play three seconds of sound to the start marker press %keyFor(Play3SecondsToStartMarker).
To play three seconds of sound to the finish marker press %keyFor(playthreesecondstofinishmarker).
To play three seconds of sound from the start marker press %keyFor(PlayThreeSecondsFromStartMarker).
To play three seconds of sound from the finish marker press %keyFor(PlayThreeSecondsFromSinishMarker).
To play from the sound view's location press %KeyFor(playFromHere).
To select the entire sound file press %KeyFor(SelectAll).
To set a cue point at the current playback or recording position press %KeyFor(DropCue).
To set and edit a cue point at the current playback or recording position press %KeyFor(DropAndEditCue).
To manage cue points press %KeyFor(CuePointsEditor).
To move the start marker to the next cue point press %KeyFor(JumpToNextCue).
To move the start marker to the previous cue point press %Keyfor(JumpToPrierCue).
To move the finish marker to the next cue point press %keyfor(MoveFinishMarkerToNextCue).
To move the finish marker to the previous cue point press %keyfor(MoveFinishMarkerToPriorCue).
To make playback speed slower press %KeyFor(MakePlaybackSpeedSlower).
To make playback speed faster press %KeyFor(MakePlaybackSpeedFaster).
To return playback speed to normal press %KeyFor(MakePlaybackSpeedNormal).

Volume Commands
To change the volume press %KeyFor(VolumeChange).
To fade in the selection press %Keyfor(FadeIn).
To fade out the selection press %KeyFor(fadeOut).
To normalize/maximize the volume press %KeyFor(volumeMaximize).
To match the volume level with another file press %KeyFor(volumeMatch).
To dynamically shape the volume press %KeyFor(VolumeShape).

Stereo Commands
To mix or combine the left and right channels press %KeyFor(ChannelMix).
To automatically match and maximize left and right channel volume press %KeyFor(MaxMatch).
To dynamically control left and right balance press %Keyfor(pan).
To reduce vocals press %KeyFor(ReduceVocals).

Filters
To use the equalizer press %KeyFor(equalizer).
To perform parametric equalization press %KeyFor(ParametricEQ).
To remove pops and clicks from old recordings press %Keyfor(PopClick).
To reduce noise using frequency analysis press %KeyFor(NoiseReduction).
To use the bandpass/stop filter press %Keyfor(Bandpassstop).
To smooth the waveform using a running average press %keyFor(Smoother).
To use the low/highpass filter press %KeyFor(LowHighpass).
To remove or reduce quiet or silent sections from the sound press %KeyFor(SilenceReduction).

Effects
To use the Doppler effect press %keyFor(Doppler).
To use the dynamics effect press %keyFor(Dynamics).
To add echo to the selection press %KeyFor(Echo).
To perform amplitude compression or expansion press %KeyFor(CompressorExpander).
To add a flanging effect to the selection press %KeyFor(Flanger).
To make the sound mechanical by amplitude modulation press %KeyFor(Mechanize).
To alter the pitch press %Keyfor(Pitch).
To adjust the DC offset press %Keyfor(Offset).
To add reverberation to the sound press %KeyFor(Reverb).
To change the duration or tempo press %KeyFor(TimeWarp).
To change the playback sampling rate press %Keyfor(PlaybackRate).
To convert the sampling rate to a different rate press %keyFor(Resample).
To reverse the selection so it plays backwards press %KeyFor(reverseSound).
To linearly interpolate from the start amplitude to the finish amplitude press %KeyFor(InterpolateSound).
To turn the waveform upside down press %KeyFor(InvertSound).

Effect Plug-ins
Note: All the below plug-ins must be installed in order for these commands to work! You can get the plug-ins from the
GoldWave home page %keyFor(GoldWaveHomePage).
To allow GoldWave to use a Winamp DSP press %Keyfor(GWAmp).
To perform the "Auto Gain" effect in module "GWVoice". press %KeyFor(VoiceAutoGain).
To perform the "Auto Offset Removal" effect in module "GWVoice". press %KeyFor(voiceAutoOffsetRemoval).
To perform the "Censor" effect in module "GWVoice" press %KeyFor(VoiceCensor).
To perform the "Voice Over" effect in module "GWVoice". press %KeyFor(VoiceCensor).

Controls
%KeyFor(PlayGreenButton) presses the green play button.
%KeyFor(PlayYelloButton) presses the yellowplay button.
%KeyFor(RewindButton) presses the rewind button.
%KeyFor(FastForwardButton) presses the fast forward button.
%keyfor(PauseButton) presses the pause button.
%KeyFor(StopButton) presses the stop button.
%keyfor(PauseRecordButton) presses the pause record button.
%KeyFor(StopRechordButton) presses the stop record button.
%KeyFor(RechordButton) presses the record button.

Windows
%KeyFor (DeviceControlWindo) switches between the main window and device controls window.
there are eleven  active sound window commands.
use the below key strockes to access them.%keyfor (SwitchTOWindow1) changes the active sound window to window 1.
%KeyFor (switchSoundWindow) switches between sound windows.
%keyfor (SwitchTOWindow2) changes the active sound window to window 2.
%keyfor (SwitchTOWindow3) changes the active sound window to window 3.
%keyfor (SwitchTOWindow4) changes the active sound window to window 4.
%keyfor (SwitchTOWindow5) changes the active sound window to window 5.
%keyfor (SwitchTOWindow6) changes the active sound window to window 6.
%keyfor (SwitchTOWindow7) changes the active sound window to window 7.
%keyfor (SwitchTOWindow8) changes the active sound window to window 8.
%keyfor (SwitchTOWindow9) changes the active sound window to window 9.
%keyfor (MoreWindows) lets you choose from a list of sound windows.

Options

To set how certain file formats are opened press %KeyFor(FormatOptions).
To display the control properties window press %KeyFor(ControlProperties).
To set storage options and folders press %KeyFor(storageOptions).

Tools
To read audio digitally from a CD press %keyFor(CdReader).
To create a chain of effects press %KeyFor(EffectChainEditor).
To evaluate mathematical waveforms and expressions press %KeyFor(ExpressionEvaluator).
To join many files into one press %keyfor(mergeFiles).

Press escape to close this help message!
@@
@hotKeys2
	The following is a complete list of GoldWave 5 commands
Available When there is no open file:

Settings Commands

To toggle the speaking of labels press %keyFor(LablesOnOff).
To toggle the speaking of markers press %KeyFor(markersOnOff).
To toggle the speaking of progress messages on and off press %keyfor(ProgressONOff).

File Commands

To create a new sound file press %keyfor(new).
To open a Sound file press %KeyFor(Open).
To process or convert a group of files press %keyfor(BatchProcessing ).
To exit GoldWave press %keyfor(exitGoldwave).
there are nine files in the recent files list. Use the following commands to access them.
To open file 1 in the recently used file list press %KeyFor(OpenFile1).
To open file 2 in the recently used file list press %KeyFor(OpenFile2).
To open file 3 in the recently used file list press %KeyFor(OpenFile3).
To open file 4 in the recently used file list press %KeyFor(OpenFile4).
To open file 5 in the recently used file list press %KeyFor(OpenFile5).
To open file 6 in the recently used file list press %KeyFor(OpenFile6).
To open file 7 in the recently used file list press %KeyFor(OpenFile7).
To open file 8 in the recently used file list press %KeyFor(OpenFile8).
To open file 9 in the recently used file list press %KeyFor(OpenFile9).

Edit Commands

To create a new file containing the clipboard audio press %KeyFor(PasteNew).

Options

To set how certain file formats are opened press %KeyFor(FormatOptions).
To display the Control properties window press %KeyFor(ControlProperties).
To set storage options and folders press %KeyFor(storageOptions).

Tools

To read audio digitally from a CD press %keyFor(CdReader).
To join many files into one press %keyfor(mergeFiles).

Press escape to close this help message.
@@
@CuePointsHelp
The following commands are used in the cue points dialog.
To open the auto cue dialog press Control+A.
To move to the cues list list view press Alt+C.
To delete a cue press Alt+D.
To delete all cues press Alt+A.
To delete cue and play next cue press Delete.
To open the edit cue dialog press Alt+E.
To open the export cues dialog press Control+E.
To open the import cues dialog press Control+I.
To open the edit cue dialog to create a new cue press Alt+N.
To play from the cue pres F4.
To open the split files dialog press Control+S.
To stop playback press F8.

Press escape to close this help message.
@@
@HotKeyHelpMsg
For a list of Gold Wave commands press %KeyFor(HotKeyHelp).
@@
EndMessages