;message file for GoldWave scripts

messages
@MsgNoFileLoaded
No file loaded.
@@
@MsgNoFilePlaying
There is no file playing or paused.
@@
@MsgElapsed
elapsed
@@
@MsgRemaining
remaining
@@
@MsgChecked
checked 
@@
@MsgUnchecked
not checked 
@@
@MsgCheckbox
Checkbox
@@
@MsgLeftChannel
left channel selected
@@
@MsgRightChannel
Right Channel selected
@@
@MsgBothChannels
Both channels selected
@@
@MsgNotFound
Not found.
@@
@MsgSSHMW_l
This window receives focus when no file is presently loaded, and the device controls window isn't active.
@@
@MsgSSHMW_s
GoldWave's main window
@@
@MsgSSHActiveFile_l
This window contains a graph, which is used to visually represent the currently active file
@@
@MsgSSHActiveFile_s
Sound graph for %1.
@@
@MsgSSHPlayAll
Plays the entire sound.
@@
@MsgSSHPlaySelection
Plays region between start and finish markers.
@@
@MsgSSHPlayUnselected
Plays regions outside the start and finish markers.
@@
@MsgSSHPlayView
Plays all of the sound currently shown in the Sound window view.
@@
@MsgSSHPlayFinish
Plays three seconds just before the finish marker.
@@
@MsgSSHPlayIntroLoopEnd
The sound is played in 3 sections... First, the intro outside the selection, then, the selection, and lastly, the end of the sound outside the selection.
@@
@MsgSSHPlayLoop
If checked, it specifies the number of times playback should be repeated.
@@
@MsgSSHPlayFastForward
Controls fast forward speed. A value of 1.0 = normal speed.
@@
@MsgSSHPlayRewind
Controls rewind speed. A value of 1.0 = normal speed.
@@
@MsgSSHRecordMonitor
Connects the recording source to the graphs and LED meters so you can adjust volume levels before recording.
@@
@MsgSSHRecordLoop
Restarts recording when the end is reached and continues to record over and over until the stop button is pressed.
@@
@MsgSSHRecordCtrlKeySafety
Prevents the accidental erasing of a sound by only allowing recording if the control key is held down.
@@
@MsgSSHRecordAllowUndo
Saves the entire selection so that you can undo recording after.
@@
@MsgSSHRecordMixWithSelection
Mixes the newly recorded sound with the existing sound.
@@
@MsgSSHRecordDisableWriteCache
If checked, immediately writes the newly recorded sound directly to the hard drive.
@@
@MsgSSHRecordUnbounded
If checked, continues recording until all storage is exhausted or until you press the record stop button.
@@
@MsgSSHRecordTimer
The Timer delays recording until the specified time and day of the week. Use this feature to automatically record something at a later time. The time is
given in 24 hour time. A time of 06:00:00 is 6:00 AM and a time of 18:00:00 is 6:00 PM.
@@
@MsgSSHRecordLevelActivated
Recording is automatically started when a sound is above a given level, and pauses when it is below.
The Threshold specifies how loud a sound should be before recording begins. The Duration
specifies how long to record after the sound becomes quiet again. Using a value of 3 allows recording to continue for three seconds after the sound goes
below the specified threshold.
@@
@MsgSSHRecordTimeStampCues
The Time stamp cues option provides a way of marking the date, time, and position of each activation. Cue points with the current date and time are created and can be viewed under the Cue points tool.
@@
@MsgStartMarker
start marker
@@
@MsgFinishMarker
finish marker
@@
@MsgMarkerLeft
Marker moved left.
@@
@MsgMarkerRight
Marker moved right.
@@
@MsgScriptInfo
GoldWave version 4.26 scripts version 1.1
@@
@MsgAutoMarkerAnnounceOn
auto marker announce on
@@
@MsgAutoMarkerAnnounceOff
auto marker announce off
@@
@MsgHotkeyHelp
GoldWave hotkeys

%KeyFor(SpeakTotalTime): speak the total time of the currently active file
%KeyFor(TogglePrecision): switch decimal precision between 0, 1, 2, or 3 for the announcement of seconds.
%KeyFor(SpeakTime): speak the elapsed or remaining time, or the position of the start or finish marker, depending on the selected time announce mode
%KeyFor(ToggleTimeAnnounceMode): toggle the time announce mode
%KeyFor(ToggleAutoMarkerAnnounce): toggle weather or not the start and finish marker's positions are announced when dropped
%KeyFor(MoveStartMarkerLeft): move the start marker left
%KeyFor(MoveStartMarkerRight): move the start marker right
%KeyFor(MoveFinishMarkerLeft): move the finish marker left
%KeyFor(MoveFinishMarkerRight): move the finish marker right
Press shift+UpArrow to decrease the amount the markers move, shift+DownArrow to increase that amount.
%KeyFor(DropStartMarker): drop the start marker at the current playing time
%KeyFor(DropFinishMarker): drop the finish marker at the current playing time
%KeyFor(SpeakFileInformation): speak various information about the currently active file (sampling rate, length, and more)
%KeyFor(ToggleSelectedChannel): toggle the selected channel
%KeyFor(FadeIn): fade in
%KeyFor(FadeOut): fade out
%KeyFor(ParametricEq): parametric equalizer
%KeyFor(equalizer): equalizer
%KeyFor(echo):echo
%KeyFor(LowHighpass): low/highpass
%KeyFor(reverse): reverse
%KeyFor(SaveSelectionAs): save selection as
%KeyFor(BandPassStop): band pass/stop
%KeyFor(pan): pan
%KeyFor(NoiseGate): noise gate
%KeyFor(NoiseReduction): noise reduction
%KeyFor(exchange): exchange
%KeyFor(silence): insert silence
%KeyFor(ChangeVolume): change volume
%KeyFor(flange): flange
%KeyFor(CuePoints): cue points
%KeyFor(ExpressionEvaluator): expression evaluator
%KeyFor(pitch): pitch
%KeyFor(mechanize): mechanize
%KeyFor(offset): offset
%KeyFor(doppler): doppler
%KeyFor(dynamics): dynamics
%KeyFor(TimeWarp): time warp
%KeyFor(maximize): maximize
%KeyFor(shape): shape
%KeyFor(ScriptInformation): script information
Press insert+f1 for screen sensitive help, twice to launch the GoldWave manual.
Press escape to close this message.
@@
EndMessages
